plugins {
    application
    kotlin("jvm") version "1.9.0"
    id("org.openjfx.javafxplugin") version "0.0.13"
}

group = "com.msksbr"

allprojects {
    apply(plugin = "kotlin")
    apply(plugin = "application")
    apply(plugin = "org.openjfx.javafxplugin")
    repositories {
        mavenCentral()
    }
    kotlin.jvmToolchain(17)

    javafx {
        version = "21"
        modules = listOf(
            "javafx.controls",
            "javafx.fxml",
        )
    }

    dependencies {
        implementation(kotlin("stdlib-jdk8"))
        testImplementation(kotlin("test"))
        testImplementation(kotlin("test-junit"))

        // JavaFX
        implementation("org.openjfx:javafx-base:21")
        implementation("org.openjfx:javafx-controls:21")
        implementation("org.openjfx:javafx-fxml:21")
        implementation("org.openjfx:javafx-graphics:21")

        // add your dependencies here!
    }
}